pcl::octree::IteratorState Struct Reference

`#include <pcl/octree/octree_iterator.h>`

## Public Attributes

OctreeNode * | node_
OctreeKey | key_
unsigned char | depth_

## Detailed Description

Definition at line 65 of file octree_iterator.h.

## Member Data Documentation

unsigned char pcl::octree::IteratorState::depth_

Definition at line 68 of file octree_iterator.h.

Referenced by pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

OctreeKey pcl::octree::IteratorState::key_

Definition at line 67 of file octree_iterator.h.

Referenced by pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

OctreeNode* pcl::octree::IteratorState::node_

Definition at line 66 of file octree_iterator.h.

Referenced by pcl::octree::OctreeDepthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeBreadthFirstIterator< OctreeT >::operator++(), pcl::octree::OctreeDepthFirstIterator< OctreeT >::reset(), and pcl::octree::OctreeBreadthFirstIterator< OctreeT >::reset().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/octree/include/pcl/octree/octree_iterator.h